# &kde; User's Manual

Darian
Lanx

    content@openprojects.net

2001-04-25
0.01.01
kbuildsycoca4
8

# `kbuildsycoca4`

Rebuilds the system configuration cache.

## Synopsis

    kbuildsycoca4

    --nosignal
    --incremental
    --help
    --help-qt
    --help-kde
    --help-all
    --author
    -v, --version
    --license

## Description

`kbuildsycoca4`, as part of the &kde; command line tools ensures the proper operation of &kde; by reading in all the `.desktop`, `.directory`, `.kimgio` and `.protocol` files to constructs a binary database.

&kde; itself accesses this database during operation to provide configuration information a program needs to run.

This tool is part of ksycoca, which stands for &kde; System Configuration Cache

## Options

`--nosignal`

  Don't signal applications

`--incremental`

  Incremental Update

`--help`

  Show help about options

`--help-qt`

  Show Qt specific options

`--help-kde`

  Show KDE specific options

`--help-all`

  Show all options

`--author`

  Show author information

`--version`

  Show version information

`--license`

  Show license information

## Usage

A standard way to run this program is by simply specifying the following command at the prompt ``kbuildsycoca4``

## Files

`/tmp/kde-$USER/ksycoca`

  ...

## Environment Variables

$`KDEDIRS`

  Specifies which directories are part of the KDE installations

## See Also

kdeinit4

## Bugs

There are probably tons of bugs. Use bugs.kde.org to report them.